toolzerhub API Docs

Get a driver's race results (v1)

Returns a driver's or constructor's races, 30 per page, with position, points, gap, grid and time. A page past the end returns data: null.

1 credit / requestBilled only on success
GET
/v1/sofascore/team/motorsport/races

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

id*integer

Driver or constructor id.

Range1 <= value <= 10000000000
span?string

last for results, most recent first, or next for fixtures.

Default"last"

Value in

  • "last"
  • "next"
page?integer

Page number, from 1. hasNextPage says whether another page exists.

Range1 <= value <= 50
Default1
curl -X GET "https://example.com/v1/sofascore/team/motorsport/races?id=7135" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "property1": null,    "property2": null  },  "details": {    "reason": "string",    "message": "string"  }}